package com.redxun.knowledge.entity.dto;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.mysql.cj.jdbc.Clob;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

// 知识DTO
@Data
public class KnowledgeDto {

    @NotBlank(message = "缺失关键参数：知识分类")
    // 知识分类ID
    private String categoryId;

    @NotNull(message = "缺失关键参数：知识类型")
    // 知识类型 1-文档知识 2-维基知识
    private Integer type;

    @NotBlank(message = "缺失关键参数：知识标题")
    // 知识标题
    private String titles;

    // 知识概要
    private String summary;

    // 知识内容
    private Clob content;

    // 附件ID
    // @NotBlank(message = "缺失关键参数：文件ID")
    private String attachment;

    // 附件类型 1-WORD(.doc、.docx) 2-PDF(.pdf) 3-PPT(.pptx) 4-EXCEL(.xls、.xlsx)
    private Integer attachmentType;

    // @NotBlank(message = "缺失关键参数：文件名称")
    // 附件名称
    private String attachmentName;
    // 作者
    private String author;
    // 作者id(创建人id)
    private String createBy;
    // 作者id(创建人id)
    private String updateBy;
}
