
package com.redxun.knowledge.map.controller;

import com.redxun.common.annotation.ClassDefine;
import com.redxun.common.base.db.BaseService;

import com.redxun.knowledge.map.entity.dao.MapContent;
import com.redxun.knowledge.map.service.MapContentServiceImpl;
import com.redxun.web.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Arrays;
import java.util.List;

@Slf4j
@RestController
@RequestMapping("/api-knowledge/knowledge/map/mapContent")
@Api(tags = "业务--知识地图学习内容表")
@ClassDefine(title = "业务--知识地图学习内容表", alias = "MapContentController", path = "/api-knowledge/knowledge/map/mapContent",
        packages = "knowledge", packageName = "子系统名称")
public class MapContentController extends BaseController<MapContent> {

    @Autowired
    MapContentServiceImpl mapContentService;


    @Override
    public BaseService getBaseService() {
        return mapContentService;
    }

    @Override
    public String getComment() {
        return "业务--知识地图学习内容表";
    }

}

