
package com.redxun.knowledge.map.controller;

import com.redxun.common.annotation.ClassDefine;
import com.redxun.common.base.db.BaseService;

import com.redxun.knowledge.map.entity.dao.MapRoute;
import com.redxun.knowledge.map.service.MapRouteServiceImpl;
import com.redxun.web.controller.BaseController;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("/api-knowledge/knowledge/map/mapRoute")
@Api(tags = "业务--知识地图学习路径表")
@ClassDefine(title = "业务--知识地图学习路径表", alias = "MapRouteController",
        path = "/api-knowledge/knowledge/map/mapRoute", packages = "knowledge", packageName = "子系统名称")
public class MapRouteController extends BaseController<MapRoute> {

    @Autowired
    MapRouteServiceImpl mapRouteService;


    @Override
    public BaseService getBaseService() {
        return mapRouteService;
    }

    @Override
    public String getComment() {
        return "业务--知识地图学习路径表";
    }

}

