package com.redxun.knowledge.map.entity.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.redxun.knowledge.map.entity.dao.MapRoute;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.ibatis.type.JdbcType;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 文件名: MapVo
 * 作者: Zizg
 * 时间: 2023/1/13
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Data
public class MapVo implements Serializable {

    //主键
    private String pkId;

    //地图类型;对应知识地图类型字典（KNOWLEDGE_MAP）
    private String typeName;

    //地图名称
    private String name;

    //组织概要（组织概要(-分隔的各级组织名称,多个用/分隔)）
    private String groupSummary;

    //操作人
    private String operator;

    //操作时间
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JSONField(
            format = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    private Date updateTime;

    //隶属于组织人员阅读权限;可选项：1-全部员工可见  2-部分员工可见
    private Integer groupPurview;

    //组织ID
    private String groupId;

    //学习路径集合
    private List<MapRouteVo> routes;



}
