package com.redxun.knowledge.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.redxun.knowledge.entity.dao.Knowledge;
import com.redxun.knowledge.entity.vo.KnowledgeApprovalVo;
import com.redxun.knowledge.entity.vo.KnowledgeVo;
import org.apache.ibatis.annotations.Mapper;
import com.redxun.common.base.db.BaseDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 业务--知识表数据库访问层
 */
@Mapper
public interface KnowledgeMapper extends BaseDao<Knowledge> {

    void create(@Param("param") Knowledge knowledge);

    IPage findAllKnowledge(IPage page, @Param("params") Map<String, Object> params,@Param("w") Map<String, Object> order);

    void deleteKnowledge(String knowledgeId);

    List<KnowledgeVo> findAllAuditKnowledge(@Param("params") Map<String, Object> params, @Param("w") Map<String, Object> order);

    IPage getAllKnowledgeByCategoryId(IPage page, @Param("params") Map<String, Object> params, @Param("w") Map<String, Object> order);

    // 修改知识审核状态
    void updateApprovalStatus(@Param("knowledgeId") String knowledgeId,@Param("status") Integer status);

    // 查询待审核的知识数量
    List<KnowledgeVo> countAuditKnowledge();

    // 增加浏览量
    void updateViewsById(String pkId);
}
